com.saxonica.expr

## Class Annotation30

- java.lang.Object
- - net.sf.saxon.query.Annotation
  - - com.saxonica.expr.Annotation30

-     public class Annotation30
      extends Annotation

  This class represents an annotation that appears in a function or variable declaration

- - ### Field Summary

    - ### Fields inherited from class net.sf.saxon.query.Annotation

      `PRIVATE, PUBLIC, SIMPLE, UPDATING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Annotation30(StructuredQName name)` Create an annotation

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAnnotationParameter(AtomicValue value)` Add a value to the list of annotation parameters
    `List<AtomicValue>` | `getAnnotationParameters()` Get the list of annotation parameters
    `StructuredQName` | `getAnnotationQName()` Get the name of the annotation (a QName)

    - ### Methods inherited from class net.sf.saxon.query.Annotation

      `mutuallyExclusive`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Annotation30

          public Annotation30(StructuredQName name)

      Create an annotation
      Parameters:
        `name` - the annotation name (a QName)

  - ### Method Detail

    - #### getAnnotationQName

          public StructuredQName getAnnotationQName()

      Get the name of the annotation (a QName)
      Specified by:
        `getAnnotationQName` in class `Annotation`
      Returns:
        the annotation name

    - #### addAnnotationParameter

          public void addAnnotationParameter(AtomicValue value)

      Add a value to the list of annotation parameters
      Specified by:
        `addAnnotationParameter` in class `Annotation`
      Parameters:
        `value` - the value to be added. This will always be a string or number, but Saxon enforces this only at the level of the query parser

    - #### getAnnotationParameters

          public List<AtomicValue> getAnnotationParameters()

      Get the list of annotation parameters
      Specified by:
        `getAnnotationParameters` in class `Annotation`
      Returns:
        the list of parameters

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.